Subject: Re: bug#74018: 31.0.50; Issue with define-peg-ruleset?

From: Eli Zaretskii <[email-masked]>
Date: Sat, 26 Oct 2024 18:47:57 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Stefan Kangas <[email-masked]>,  Andrea Corallo
>  <[email-masked]>,  [email-masked]
> Date: Sat, 26 Oct 2024 10:24:33 -0400
> 
> >> I was about to install the bugfix below to `master` but noticed that it
> >> probably belongs to `emacs-30` instead since the bug makes
> >> `define-peg-ruleset` basically unusable and PEG is new in Emacs-30.
> >> 
> >> Any objection?
> >
> > I know nothing about peg.el, and you haven't explained the root cause
> > for the bug for me to understand why it "makes `define-peg-ruleset'
> > basically unusable", so let's hear from Stefan and Andrea first.
> 
> Here's a more complete description.

Thanks.  Andrea already agreed with installing this on the release
branch.  I hope Stefan Kangas will respond soon.